<div class="container">
  <div class="row justify-content-center">
    <div class="col-xl-12 col-lg-12 col-mg-12">
      <div class="page-header mb-4">
        <div class="media">
          <img
            alt="Image"
            src="../../assets/dependencies/img/avatar-male-4.jpg"
            class="avatar avatar-lg mt-1"
          />
          <div class="media-body ml-3">
            <h1 class="mb-0">Projets de la catégorie {{cat}}</h1>
          </div>
        </div>
      </div>
      <div class="tab-content">
        <div
          class="tab-pane fade show active"
          id="tous"
          role="tabpanel"
          aria-labelledby="tous-tab"
          data-filter-list="content-list-body"
        >
          <div class="row content-list-head">
            <form class="col-md-auto">
              <div class="input-group input-group-round">
                <div class="input-group-prepend">
                  <span class="input-group-text">
                    <i class="material-icons">filter_list</i>
                  </span>
                </div>
                <input
                  type="search"
                  class="form-control filter-list-input"
                  placeholder="Filtrer  projets"
                  aria-label="Filtrer projets"
                  aria-describedby="filtrer-projets"
                />
              </div>
            </form>
          </div>
          <!--end of content list head-->
          <div class="content-list-body row"  *ngFor="let pr of projets">
            <div class="col-md-auto" >
              <div class="card card-team" >
                <div class="card-body">
                  <div class="dropdown card-options">
                    <button
                      class="btn-options"
                      type="button"
                      data-toggle="dropdown"
                      aria-haspopup="true"
                      aria-expanded="false"
                    >
                      <i class="material-icons">more_vert</i>
                    </button>
                    <div class="dropdown-menu dropdown-menu-right">
                      <a class="dropdown-item" routerLink="/description-projet/{{pr.id}}"
                        >Description</a
                      >
                      <div class="dropdown-divider"></div>
                      <a
                        class="dropdown-item"
                        href="#post"
                        data-toggle="modal"
                        data-target="#user-invite-modal"
                        >Postuler</a
                      >
                    </div>
                  </div>
                  <div class="card-title">
                    <a routerLink="/description-projet/{{pr.id}}">
                      <h5 data-filter-by="text">{{pr.nom}}</h5>
                    </a>
                    <span>Date limite: {{pr.dateFinPrevue}}</span>
                  </div>
                  <ul class="avatars">
                    <li>
                      <a href="#" data-toggle="tooltip" title="Kenny">
                        <img
                          alt="Kenny Tran"
                          class="avatar"
                          src="../../assets/dependencies/img/avatar-male-6.jpg"
                        />
                      </a>
                    </li>
                  </ul>
                </div>
              </div>
            </div>
          </div>
          <!--end of content-list-body-->
        </div>

        <!-- postuler popup start -->
        <form
          class="modal fade"
          id="user-invite-modal"
          tabindex="-1"
          role="dialog"
          aria-labelledby="user-invite-modal"
          aria-hidden="true"
        >
          <div class="modal-dialog" role="document">
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title">Postuler</h5>
                <button
                  type="button"
                  class="close btn btn-round"
                  data-dismiss="modal"
                  aria-label="Close"
                >
                  <i class="material-icons">close</i>
                </button>
              </div>
              <!--end of modal head-->
              <div class="modal-body">
                <p>Postuler pour etre dans l'equipe du projet</p>
                <div>
                  <div class="form-group row align-items-center">
                    <label class="col-3">Nom Complet</label>
                    <input
                      class="form-control col"
                      type="text"
                      placeholder="Nom complet"
                      name="consultant-name"
                    />
                  </div>
                  <div class="form-group row">
                    <div class="input-group">
                      <label class="col-3">Email</label>
                      <div class="input-group-prepend">
                        <span class="input-group-text">
                          <i class="material-icons">email</i>
                        </span>
                      </div>
                      <input
                        type="email"
                        class="form-control col"
                        placeholder="email address"
                        name="email"
                      />
                    </div>
                  </div>

                  <div class="form-group row">
                    <label class="col-3">Competences</label>
                    <textarea
                      class="form-control col"
                      rows="3"
                      placeholder="Listez vos competences pouvant servir à ce projet"
                      name="competences"
                    ></textarea>
                  </div>
                </div>
              </div>
              <!--end of modal body-->
              <div class="modal-footer">
                <button role="button" class="btn btn-primary" type="submit">
                  Postuler
                </button>
              </div>
            </div>
          </div>
        </form>
        <!-- postuler popup end -->
      </div>
    </div>
  </div>
</div>
